CoCoA-5 - Bug #1623

EmacsUl: annoying colours
18 Oct 2021 11:58 - John Abbott
Priority: Low Due date:
Category: EmacsUl Estimated time: 0.00 hour
Target version: CoCoA-5.4.2 Spent time: 2.20 hours
Description

I have now found examples where the EmacsUI can change colours annoyingly: printing out homomorphisms.

use P ::= QQ[x,vy];
images := [x"2,y"3];
PolyAlgebraHom(P,P, images);

The use of double-minus inside the arrows confuses emacs (which interprets them as comment starts).

History

#1 - 18 Oct 2021 12:01 - John Abbott

| suppose we could change the printed form to something like this:

RingHom (FromRing = RingWithID (3, "QQI[x,vyI"), ToRing = RingWithID (3, "QQ[x,y]") sending (x |-> x"2)

~3))
Or maybe domain and codomain instead of FromRing and ToRing?
Notice that | have also changed the "mapsto" symbols (to avoid the double minus).

What do you think?

#2 - 04 Nov 2021 22:59 - John Abbott
- Status changed from New to In Progress

- % Done changed from 0 to 10

Now that | must consider how ringhoms are printed, | do think that readability of the current format is not so good.
Part of the problem is that rings are currently printed out in an ugly way.

Maybe | should just implement a new format, and see who screams?

#3 - 05 Nov 2021 16:40 - Anna Maria Bigatti
John Abbott wrote:
| suppose we could change the printed form to something like this:

(-]

Or maybe domain and codomain instead of FromRing and ToRing?
Notice that | have also changed the "mapsto” symbols (to avoid the double minus).

What do you think?

this is my proposal:

RingHom (RingWithID (3, "QQI[x,y]") —-> RingWithID (3,

#4 - 03 Feb 2022 19:16 - John Abbott
- Target version changed from CoC0A-5.4.0 to CoCoA-5.4.2

#5 - 15 Jan 2024 19:54 - John Abbott

Can we conclude this discussion, implement, and close? :-)

#6 - 16 Jan 2024 15:52 - Anna Maria Bigatti

New suggestion (the most compact | can think of)

RingHom (RingWithID (3, "QQI[x,y]l") —-> RingWithID (3,

#7 - 16 Jan 2024 19:07 - John Abbott
- % Done changed from 10 to 20

Not bad! Minor variant: using square brackets for lists

RingHom (RingWithID (3, "QQI[x,y]") —-> RingWithID (3,

"0 [x,y1l")

"Q0[x,yI")

"00[x,yI")

sending

sending

sending

(x to x"2) &

(x,¥)

[x,v]

to

to

(x~2,

[x"~2,

(y to y"3))

y*3)

y"3]

)

)

| still have some reservations about readability of the FromRing -> ToRing part, but do not really have a better suggestion.
Does the printing change if we use indent? | suppose not; but could it, should it?

RingHom (RingWithID (3, "QQ[x,yl") ->
RingWithID (3, "QQI[x,y]l") sending
[x,y] to [x"2, y~3] )
#8 - 19 Jan 2024 09:36 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

John Abbott wrote:

Does the printing change if we use indent? | suppose not; but could it, should it?

It is printed by CoCoALib RingHomBase::myQOutputSelf, so CoCoA-5 indent should have no effect on it.

#9 - 19 Jan 2024 15:02 - Anna Maria Bigatti

Done:

RingHom (RingWithID (3, "QQ[x,y]") —-> RingWithID(3, "QQ[x,y]") sending [x,

(and also done some cleaning in old commented out code)

#10 - 19 Jan 2024 15:02 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

#11 - 19 Jan 2024 16:26 - Anna Maria Bigatti

Tested also for DenseUPolyRing (and made example for DUP)

#12 - 19 Jan 2024 16:50 - Anna Maria Bigatti
- % Done changed from 20 to 90
